<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions targetNamespace="http://emcs.dgtaxud.ec/webservice/xop" name="MaintainEntityXopServiceDef"
	xmlns:types="http://emcs.dgtaxud.ec/webservice/types/xop"
	xmlns:conv="http://www.openuri.org/2002/04/soap/conversation/"
	xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
	xmlns:ws="http://emcs.dgtaxud.ec/webservice/xop"
	xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns:xmime="http://www.w3.org/2005/05/xmlmime">
  <wsdl:types>
    <xsd:schema elementFormDefault="qualified" targetNamespace="http://emcs.dgtaxud.ec/webservice/types/xop">

      <xsd:element name="startEntityAction">
        <xsd:complexType>
          <xsd:sequence>
            <!-- expectedContentTypes: application/xml, application/zip, application/x-gzip -->
            <xsd:element name="Data" type="xsd:base64Binary" xmime:expectedContentTypes="application/octet-stream"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="startEntityActionResponse">
        <xsd:complexType>
          <xsd:sequence/>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getEntityActionResult">
        <xsd:complexType>
          <xsd:sequence/>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getEntityActionResultResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="ActionSucceeded" type="xsd:boolean"/>
            <xsd:element name="ActionResult" minOccurs="0" >
              <xsd:simpleType>
                <xsd:restriction base="xsd:token">
                  <xsd:enumeration value="Success" />
                  <xsd:enumeration value="Error" />
                </xsd:restriction>
              </xsd:simpleType>
            </xsd:element>
            <!-- expectedContentTypes: application/xml, application/zip, application/x-gzip -->
            <xsd:element name="Data" minOccurs="0" type="xsd:base64Binary" xmime:expectedContentTypes="application/octet-stream"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="stopEntityAction">
        <xsd:complexType>
          <xsd:sequence/>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="stopEntityActionResponse">
        <xsd:complexType>
          <xsd:sequence/>
        </xsd:complexType>
      </xsd:element>
    </xsd:schema>
    <xsd:schema elementFormDefault="qualified"
      targetNamespace="http://www.openuri.org/2002/04/soap/conversation/">
      <xsd:element name="StartHeader" type="conv:StartHeader"/>
      <xsd:element name="ContinueHeader" type="conv:ContinueHeader"/>
      <xsd:element name="CallbackHeader" type="conv:CallbackHeader"/>
      <xsd:complexType name="StartHeader">
        <xsd:sequence>
          <xsd:element name="conversationID" type="xsd:string" minOccurs="0" />
          <xsd:element name="callbackLocation" type="xsd:string" minOccurs="0" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="ContinueHeader">
        <xsd:sequence>
          <xsd:element name="conversationID" type="xsd:string"/>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="CallbackHeader">
        <xsd:sequence>
          <xsd:element name="conversationID" type="xsd:string"/>
        </xsd:sequence>
      </xsd:complexType>
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="StartHeader_literal">
    <wsdl:part name="StartHeader" element="conv:StartHeader"/>
  </wsdl:message>
  <wsdl:message name="ContinueHeader_literal">
    <wsdl:part name="ContinueHeader" element="conv:ContinueHeader"/>
  </wsdl:message>
  <wsdl:message name="startEntityActionSoapIn">
    <wsdl:part name="startEntityActionParameters" element="types:startEntityAction"/>
  </wsdl:message>
  <wsdl:message name="startEntityActionSoapOut">
    <wsdl:part name="startEntityActionResponseParameters" element="types:startEntityActionResponse"/>
  </wsdl:message>
  <wsdl:message name="getEntityActionResultSoapIn">
    <wsdl:part name="getEntityActionResultParameters" element="types:getEntityActionResult"/>
  </wsdl:message>
  <wsdl:message name="getEntityActionResultSoapOut">
    <wsdl:part name="getEntityActionResultResponseParameters" element="types:getEntityActionResultResponse"/>
  </wsdl:message>
  <wsdl:message name="stopEntityActionSoapIn">
    <wsdl:part name="stopEntityActionParameters" element="types:stopEntityAction"/>
  </wsdl:message>
  <wsdl:message name="stopEntityActionSoapOut">
    <wsdl:part name="stopEntityActionResponseParameters" element="types:stopEntityActionResponse"/>
  </wsdl:message>
  <wsdl:portType name="MaintainEntityXopSoap">
    <wsdl:documentation>Maintain entity service SOAP port</wsdl:documentation>
    <wsdl:operation name="startEntityAction">
      <wsdl:documentation>Submit entities for asynchronous processing</wsdl:documentation>
      <wsdl:input message="ws:startEntityActionSoapIn"/>
      <wsdl:output message="ws:startEntityActionSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="getEntityActionResult">
      <wsdl:documentation>Poll for asynchronous results. On completion receive applied entities or error report</wsdl:documentation>
      <wsdl:input message="ws:getEntityActionResultSoapIn"/>
      <wsdl:output message="ws:getEntityActionResultSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="stopEntityAction">
      <wsdl:documentation>Free resources. After this call the results cannot be retrieved any more.</wsdl:documentation>
      <wsdl:input message="ws:stopEntityActionSoapIn"/>
      <wsdl:output message="ws:stopEntityActionSoapOut"/>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="MaintainEntityXopSoap" type="ws:MaintainEntityXopSoap">
    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="startEntityAction">
      <soap:operation soapAction="http://emcs.dgtaxud.ec/xop/startEntityAction"/>
      <conv:transition phase="start"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header wsdl:required="true" message="ws:StartHeader_literal"
          part="StartHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getEntityActionResult">
      <soap:operation soapAction="http://emcs.dgtaxud.ec/xop/getEntityActionResult"/>
      <conv:transition phase="continue"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header wsdl:required="true" message="ws:ContinueHeader_literal" 
          part="ContinueHeader" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="stopEntityAction">
      <soap:operation soapAction="http://emcs.dgtaxud.ec/xop/stopEntityAction" style="document"/>
      <conv:transition phase="finish"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header wsdl:required="true" message="ws:ContinueHeader_literal" 
          part="ContinueHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="MaintainEntityXop">
    <wsdl:documentation>Asynchronous web service for maintaining entities using MTOM/XOP.</wsdl:documentation>
    <wsdl:port name="MaintainEntityXopSoap" binding="ws:MaintainEntityXopSoap">
      <soap:address location="https://seed.dgtaxud.ec:8443/SEEDv1WS/entity/MaintainEntityXop.jws"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>

